class M4eTransactionType {
  final String _transactionType;

  const M4eTransactionType._internal(this._transactionType);

  static const cashIn = M4eTransactionType._internal('CASH_IN');
  static const cashOut = M4eTransactionType._internal('CASH_OUT');

  static M4eTransactionType parse(String type) {
    return M4eTransactionType._internal(type);
  }
  
  @override
  String toString() => _transactionType;

  bool operator ==(o) =>
      (o is M4eTransactionType) && o._transactionType == this._transactionType;

  @override
  int get hashCode => _transactionType.hashCode;
}
